HCL Commerce Version 9.1.5.0

HCL Commerce 9.1.5.0

HCL Commerce 9.1.5.0 was released on January 20, 2021.

Security updates

HCL Commerce 9.1.5.0 contains the following security-related fixes.

Important changes

HCL Commerce 9.1.5.0 contains the following important changes to site features and functionality.
Important: Required changes

There are no updates to 9.1.5.0 that require your immediate attention.

Feature enhancements

The following features have been introduced in this release. Review the following list to ensure that your site is prepared once this update is applied.

Single sign-on for HCL Digital Experience integration enabled
You can use LDAP to configure single sign-on for HCL Commerce and HCL Digital Experience. Enabling single sign-on (SSO) preserves user authentication when the user switches between HCL Commerce and HCL Digital Experience.

Learn more...

HCL Software Factory deployment
HCL Commerce is fully integrated and available for deployment within the HCL Software Factory (SoFy) catalog. You can explore HCL Commerce functionality within the SoFy sandbox, and then use the SoFy solution to aid in creation of your production HCL Commerce deployment.

Learn more...

Supported companion software

HCL Commerce 9.1.5.0 has been tested with the following companion software.
Commerce Companion software Database Browsers
HCL Commerce Version 9.1.5.0
  • WebSphere Application Server 9.0.5.5 + PH26220 + PH27509 +PH29871 + PH27157
  • WebSphere Application Server Liberty 20.0.0.9 + TFOLGH13861
  • IBM SDK, Java Technology Edition, Version 8.0.6.15
  • IBM HTTP Server 9.0.5.5
  • Elasticsearch
    • x86-647.12.0
    • Power7.8.0
  • Solr-based search solution
    • IBM Db2 11.5
    • Oracle 18c
    • Oracle 19c
  • Elasticsearch-based search solution
    • IBM Db2 11.5
    • Oracle 19c
  • Management Center for HCL Commerce
    • Edge 20+
    • Internet Explorer 9+
    • Firefox 39+
    • Chrome 44+
    • Safari 10+
  • React-based storefronts
    • Edge 87+
    • Firefox 84+
    • Chrome 87+
    • Safari 14+
  • Aurora-based storefronts
    • Internet Explorer 20H2+
    • Edge 87+
    • Firefox 84+
    • Chrome 87+
    • Safari 14+